package com.diagbot.entity.relationship;

import com.diagbot.entity.node.LisSet;
import com.diagbot.entity.node.OralMedicine;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/3/2 10:33
 */
@Getter
@Setter
@RelationshipEntity(type = "实验室检查套餐名禁忌服用药品")
public class LisSetOralMedicine extends BaseRelation {
    @StartNode
    private LisSet lisSet;

    @EndNode
    private OralMedicine oralMedicine;
}
